Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.search.ui
Class SearchBean

    java.lang.Object
      org.jboss.portal.core.search.ui.SearchBean

    public class SearchBean

extends java.lang.Object

Version:
  $Revision$
Author:
  Thomas Heute

Field Summary
`java.lang.String` | `textString`

Constructor Summary
`SearchBean()`

Method Summary
`javax.faces.model.SelectItem[]` | `getFederatedSearchers()`
`int` | `getNbResults()`
`javax.faces.model.DataModel` | `getResults()`
`java.util.List` | `getSearcher()`
`java.util.List` | `getSelectedFederatedSearchers()`
`java.lang.String` | `getTextString()`
`void` | `search()`
`void` | `setSelectedFederatedSearchers(java.util.List list)`
`void` | `setTextString(java.lang.String textString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textString

    public java.lang.String textString

Constructor Detail

### SearchBean

    public SearchBean()

Method Detail

### getSearcher

    public java.util.List getSearcher()

### getTextString

    public java.lang.String getTextString()

### setTextString

    public void setTextString(java.lang.String textString)

### getNbResults

    public int getNbResults()

### getResults

    public javax.faces.model.DataModel getResults()

### getFederatedSearchers

    public javax.faces.model.SelectItem[] getFederatedSearchers()

### setSelectedFederatedSearchers

    public void setSelectedFederatedSearchers(java.util.List list)

### getSelectedFederatedSearchers

    public java.util.List getSelectedFederatedSearchers()

### search

    public void search()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD